#include "ThermometerPro.h"

#include "cmd.h"
#include "uptime.h"
#include "thermometer.h"
#include "Config.h"
#include "spi.h"
// #include "meterBusClient.h"



static CmdServer cmdServer(&Serial);
// static ConfigInvalidateCmd configInvalidateCmd;
static Uptime uptime;
static Thermometer thermometer;
// static MeterBusClient meterBusClient;

void setup() {
  Serial.begin(9600);

  // Config::initialize();
  delay(5000);
  Serial.println("Hello world!");


  spiInit();

  cmdServer.begin();
  //configInvalidateCmd.registerYourself(&cmdServer);
  uptime.begin(&cmdServer);
  thermometer.begin(&cmdServer);
//  meterBusClient.begin(&cmdServer);
}


void loop() {
  cmdServer.exec();
  uptime.exec();
  thermometer.exec();
//  meterBusClient.exec();
}
